Get clockguards by product
This endpoint retrieves the consolidated clockguards of a product within a specific period not exceeding 31 days.
GET /api/v2/businesses/{businessId}/products/{productId}/clockguards?from={yyyy-MM-dd}&to={yyyy-MM-dd}
If the data included in the request is correct —both the businessId and the productId—, the response will contain the clockguards for the product with all the defined information for them.
Response example
[
{
"employeeId": "1006357",
"locationId": "01",
"zoneId": "ZG",
"type": "WORK",
"checkIn": "2026-04-09T08:00:00.000Z",
"latIn": 37.389091,
"lonIn": -5.984459,
"deviceIn": "12345",
"checkOut": "2026-04-09T15:00:00.000Z",
"latOut": 37.389091,
"lonOut": -5.984459,
"deviceOut": "12345",
"comment": "Exit for lunch break.",
"orquestId": 380332115,
"data": {
"comments": [
{
"message": "Exit for lunch break.",
"created": "2026-04-07T14:51:22.943Z"
},
{
"message": "Inventory tasks at closing time.",
"created": "2026-04-07T14:52:09.140Z"
}
]
}
}
]
Details
employeeId: external identifier of the employee.
locationId: external identifier of the task linked to the clockguard. May be null if the clockguard was saved without a task.
zoneId: external identifier of the zone where the clockguard was performed. May be null if the clockguard was saved without a zone.
type: activity type of the clockguard (WORK, REST, OTHER).
checkIn: entry date and time in UTC (yyyy-MM-ddTHH:mm:ss.SSSZ).
latIn: latitude of the device at the time of the check-in record. May be null.
lonIn: longitude of the device at the time of the check-in record. May be null.
deviceIn: identifier of the clockguard device at check-in. May be null.
checkOut: exit date and time in UTC (yyyy-MM-ddTHH:mm:ss.SSSZ).
latOut: latitude of the device at the time of the check-out record. May be null.
lonOut: longitude of the device at the time of the check-out record. May be null.
deviceOut: identifier of the clockguard device at check-out. May be null.
comment: comment of the clockguard, if any. If there are multiple comments, only the first one appears in this field; the rest appear in the comments object.
orquestId: internal identifier of the clockguard in Orquest.
data: additional information about the clockguard.
-
comments: list of comments associated with the clockguard.
-
message: text of the comment.
-
created: creation date and time in UTC (
yyyy-MM-ddTHH:mm:ss.SSSZ).
-
Considerations
This request returns only consolidated clockguards.
The API returns the data in the order of registration, in UTC and in yyyy-MM-ddTHH:mm:ss.SSSZ format.
The response will contain data from the date indicated in the from parameter to the date indicated in the to parameter, including both days.
The maximum allowed interval for the query is 31 days.
If the period indicated in the URL is longer, the request will return a 400 Bad Request error indicating The request exceded the maximum number of days allowed (31 days max).
If there is no data for that period, the request will return an empty array [].
If the product specified in the URL does not exist in the business, the request will return a 404 Not Found error indicating not exists.
Useful links
What is a clockguard?